#include <iostream>
#include <iomanip>
#include <math.h>
using namespace std;

int menuselection();
float circleareadataentry();
float circleareacalculate(float radius);
void circleareadisplay(float radius);
float rectanglelengthinput();
float rectanglewidthinput();
float calculaterectanglearea(float length, float width);
void displayrectanglearea(float area);
float trianglebaseinput();
float triangleheigthinput();
float calculatetrianglearea(float base, float heigth);
void displaytrianglearea(float area);

void main()
{
	int selection;
	float radius, length, width, circlearea, rectanglearea, base, heigth, trianglearea;
	do
	{
		selection = menuselection();
		switch (selection)
		{
		case 1:
			radius = circleareadataentry();
			circlearea = circleareacalculate(radius);
			circleareadisplay(circlearea);
			break;
		case 2:
			length = rectanglelengthinput();
			width = rectanglewidthinput();
			rectanglearea = calculaterectanglearea(length, width);
			displayrectanglearea(rectanglearea);
			break;
		case 3:
			base = trianglebaseinput();
			heigth = triangleheigthinput();
			trianglearea = calculatetrianglearea(base, heigth);
			displaytrianglearea(trianglearea);
			break;
		case 4:
			break;
		default:
			main();
			break;
		}
	} while (selection < 4);
}
int menuselection()
{
	int selection;
	cout << "1. Calculate the Area of a Circle\n";
	cout << "2. Calculate the Area of a Rectangle\n";
	cout << "3. Calculate the Area of a Triangle\n";
	cout << "4. Quit\n";
	cout << "Enter a number: ";
	cin >> selection;
	return selection;
}
float circleareadataentry()
{
	float radius;
	do
	{
		cout << "Enter the Radius of the Circle: ";
		cin >> radius;
	} while (radius <= 0);
	return radius;
}
float circleareacalculate(float radius)
{
	const float pi = 3.1416;
	float area;
	area = pi * pow(radius, 2);
	return area;
}
void circleareadisplay(float radius)
{
	cout << "The area of the Circle is: " << radius << endl;
}
float rectanglelengthinput()
{
	float length;
	do
	{
		cout << "Enter the length of the rectangle: ";
		cin >> length;
	} while (length <= 0);
	return length;
}
float rectanglewidthinput()
{
	float width;
	do
	{
		cout << "Enter the width of the rectangle: ";
		cin >> width;
	} while (width <= 0);
	return width;
}
float calculaterectanglearea(float length, float width)
{
	float area;
	area = length * width;
	return area;
}
void displayrectanglearea(float area)
{
	cout << "The area of the Rectangle is : " << area << endl;
}
float trianglebaseinput()
{
	float base;
	do
	{
		cout << "Enter the base of the triangle: ";
		cin >> base;
	} while (base <= 0);
	return base;
}
float triangleheigthinput()
{
	float heigth;
	do
	{
		cout << "Enter the heigth of the triangle: ";
		cin >> heigth;
	} while (heigth <= 0);
	return heigth;
}
float calculatetrianglearea(float base, float heigth)
{
	float area;
	area = (base * heigth) / 2.0;
	return area;
}
void displaytrianglearea(float area)
{
	cout << "The area of the Triangle is : " << area << endl;
}

/* OUTPUT:
1. Calculate the Area of a Circle
2. Calculate the Area of a Rectangle
3. Calculate the Area of a Triangle
4. Quit
Enter a number: 1
Enter the Radius of the Circle: 4
The area of the Circle is: 50.2656
1. Calculate the Area of a Circle
2. Calculate the Area of a Rectangle
3. Calculate the Area of a Triangle
4. Quit
Enter a number: 2
Enter the length of the rectangle: 5
Enter the width of the rectangle: 4
The area of the Rectangle is : 20
1. Calculate the Area of a Circle
2. Calculate the Area of a Rectangle
3. Calculate the Area of a Triangle
4. Quit
Enter a number: 3
Enter the base of the triangle: 4
Enter the heigth of the triangle: 5
The area of the Triangle is : 10
1. Calculate the Area of a Circle
2. Calculate the Area of a Rectangle
3. Calculate the Area of a Triangle
4. Quit
Enter a number: 4
*/